%define upstream_name    DateTime-Format-Pg
%define upstream_version 0.16011

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Parse and format PostgreSQL dates and times
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.100.0
BuildRequires: perl(DateTime::Format::Builder) >= 0.720.0
BuildRequires: perl(DateTime::TimeZone) >= 0.50.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module understands the formats used by PostgreSQL for its DATE, TIME,
TIMESTAMP, and INTERVAL data types. It can be used to parse these formats
in order to create 'DateTime' or 'DateTime::Duration' objects, and it can
take a 'DateTime' or 'DateTime::Duration' object and produce a string
representing it in a format accepted by PostgreSQL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Jul 10 2017 bb2 <bb2> - 0.160.110-4pclos2017
- rebuild against updates
